Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2.messaging
Class GlacierFetchMessage

    java.lang.Object
      rice.p2p.glacier.v2.messaging.GlacierMessage
          rice.p2p.glacier.v2.messaging.GlacierFetchMessage

All Implemented Interfaces:
  Message, java.io.Serializable

public class GlacierFetchMessage
extends GlacierMessage

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`static int` | `FETCH_FRAGMENT` DESCRIBE THE FIELD
`static int` | `FETCH_FRAGMENT_AND_MANIFEST` DESCRIBE THE FIELD
`static int` | `FETCH_MANIFEST` DESCRIBE THE FIELD
`protected FragmentKey[]` | `keys` DESCRIBE THE FIELD
`protected int` | `request` DESCRIBE THE FIELD

Fields inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`dest, id, isResponse, source, tag`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`GlacierFetchMessage(int uid, FragmentKey[] keys, int request, NodeHandle source, Id dest, char tag)` Constructor for GlacierFetchMessage.
`GlacierFetchMessage(int uid, FragmentKey key, int request, NodeHandle source, Id dest, char tag)` Constructor for GlacierFetchMessage.

Method Summary
`FragmentKey[]` | `getAllKeys()` Gets the AllKeys attribute of the GlacierFetchMessage object
`FragmentKey` | `getKey(int index)` Gets the Key attribute of the GlacierFetchMessage object
`int` | `getNumKeys()` Gets the NumKeys attribute of the GlacierFetchMessage object
`int` | `getRequest()` Gets the Request attribute of the GlacierFetchMessage object
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`getDestination, getPriority, getSource, getTag, getUID, isResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### keys

    protected FragmentKey[] keys

  DESCRIBE THE FIELD

### request

    protected int request

  DESCRIBE THE FIELD

### FETCH_FRAGMENT

    public static final int FETCH_FRAGMENT

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### FETCH_MANIFEST

    public static final int FETCH_MANIFEST

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### FETCH_FRAGMENT_AND_MANIFEST

    public static final int FETCH_FRAGMENT_AND_MANIFEST

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

Constructor Detail

### GlacierFetchMessage

    public GlacierFetchMessage(int uid,
                               FragmentKey key,
                               int request,
                               NodeHandle source,
                               Id dest,
                               char tag)

  Constructor for GlacierFetchMessage.

Parameters:
  `uid` - DESCRIBE THE PARAMETER
  `key` - DESCRIBE THE PARAMETER
  `request` - DESCRIBE THE PARAMETER
  `source` - DESCRIBE THE PARAMETER
  `dest` - DESCRIBE THE PARAMETER
  `tag` - DESCRIBE THE PARAMETER

### GlacierFetchMessage

    public GlacierFetchMessage(int uid,
                               FragmentKey[] keys,
                               int request,
                               NodeHandle source,
                               Id dest,
                               char tag)

  Constructor for GlacierFetchMessage.

Parameters:
  `uid` - DESCRIBE THE PARAMETER
  `keys` - DESCRIBE THE PARAMETER
  `request` - DESCRIBE THE PARAMETER
  `source` - DESCRIBE THE PARAMETER
  `dest` - DESCRIBE THE PARAMETER
  `tag` - DESCRIBE THE PARAMETER

Method Detail

### getAllKeys

    public FragmentKey[] getAllKeys()

  Gets the AllKeys attribute of the GlacierFetchMessage object

  Returns:
    The AllKeys value

### getRequest

    public int getRequest()

  Gets the Request attribute of the GlacierFetchMessage object

  Returns:
    The Request value

### getNumKeys

    public int getNumKeys()

  Gets the NumKeys attribute of the GlacierFetchMessage object

  Returns:
    The NumKeys value

### getKey

    public FragmentKey getKey(int index)

  Gets the Key attribute of the GlacierFetchMessage object

  Parameters:
    `index` - DESCRIBE THE PARAMETER
  Returns:
    The Key value

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.